
Figure - 需求 Requirement #112193
需求 Requirement # 110107 (New): 【Locked需求】总票

需求 Requirement # 110997 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求

【Locked需求】Launcher UI需求-setting
2022-09-28 14:46 - 方案组-RD3_CDTS 王浩云

Status: 完成 Closed Start date: 2022-09-28

Priority: Normal Due date:

Assignee: CD FW-王伟 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

1. 设置原则follow源生的设置项（安卓12，不带modem选项），对于小窗模式，杜比设置作为新增项目，对于背光设置，深色模式作为

改造项

2. 开发者模式入口：连续点击5次产品序列号

3. Safe model：屏蔽safe model，关闭相应入口

4. Security boot，OEM不能unlock，需要更换签名，将谷歌avb签名更换

5. 新增setting：

  a.小窗模式白名单：

    a1. 路径：setting-应用-小窗应用白名单

    a2. 功能描述：作为支持小窗应用的图标展示

  b. 杜比音效设置：

    b1. 路径：setting-声音-杜比设置

    b2. 功能描述：功能项与中控同步，依赖客户@郭刘飞 

  c. 左手模式：

    c1. 路径：setting-显示-操作模式-左手/右手

    c2. 功能描述：选择不同的模式，dock以及状态栏放在对应侧，小窗打开在对立侧

6. 改造setting：上表中，标黄部分，主要包括屏保，深色主题，隐藏三按钮导航设置的选项

7. setting 中音量设置，只保留媒体音调节，其他内容删除

文档链接如下：

Related issues:

Related to Figure - 开发 Dev # 112372: 【MK】【008】【BOOT】【TC-R... 进行中 In Progress2022-11-02 2022-11-26

Related to Figure - 开发 Dev # 112374: [FW]setting-显示-操作模式-... 完成 Closed 2022-10-08 2022-11-14

History

#1 - 2022-09-28 14:47 - 方案组-RD3_CDTS 王浩云

方案组-RD3_CDTS 王浩云 wrote:

1. 设置原则follow源生的设置项（安卓12，不带modem选项），对于小窗模式，杜比设置作为新增项目，对于背光设置，深色模式作为改造项

2. 开发者模式入口：连续点击5次产品序列号

3. Safe model：屏蔽safe model，关闭相应入口

4. Security boot，OEM不能unlock，需要更换签名，将谷歌avb签名更换

5. 新增setting：

a.小窗模式白名单：

a1. 路径：setting-应用-小窗应用白名单

a2. 功能描述：作为支持小窗应用的图标展示

b. 杜比音效设置：

b1. 路径：setting-声音-杜比设置

b2. 功能描述：功能项与中控同步，依赖客户@郭刘飞 
c. 左手模式：

c1. 路径：setting-显示-操作模式-左手/右手

c2. 功能描述：选择不同的模式，dock以及状态栏放在对应侧，小窗打开在对立侧

6. 改造setting：上表中，标黄部分，主要包括屏保，深色主题，隐藏三按钮导航设置的选项

7. setting 中音量设置，只保留媒体音调节，其他内容删除

文档链接如下：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#

#2 - 2022-10-08 14:41 - CD FW-王伟

1. 设置原则follow源生的设置项（安卓12，不带modem选项），对于小窗模式，杜比设置作为新增项目，对于背光设置，深色模式作为改造项

2. 开发者模式入口：连续点击5次产品序列号  -> 此为开发手误，修改为点击5次版本号

3. Safe model：屏蔽safe model，关闭相应入口   -> 此需要开发实现，需要建立新的开发票

4. Security boot，OEM不能unlock，需要更换签名，将谷歌avb签名更换    -> 这个需要BSP实现，建立一个开发票给BSP

5. 新增setting：

a.小窗模式白名单：

a1. 路径：setting-应用-小窗应用白名单     -> 小窗应用白名单已经去掉不再需要显示

a2. 功能描述：作为支持小窗应用的图标展示   -> 已经没有小窗白名单功能了

b. 杜比音效设置：                         -> 杜比音效等杜比相关input完成之后再做开发，现目前需求不明确

b1. 路径：setting-声音-杜比设置

b2. 功能描述：功能项与中控同步，依赖客户@郭刘飞

c. 左手模式：                

c1. 路径：setting-显示-操作模式-左手/右手     -> 这个功能需要参考UE实现，需要新建立一个票实现

c2. 功能描述：选择不同的模式，dock以及状态栏放在对应侧，小窗打开在对立侧    -> 此功能已经满足

6. 改造setting：上表中，标黄部分，主要包括屏保，深色主题，隐藏三按钮导航设置的选项

7. setting 中音量设置，只保留媒体音调节，其他内容删除   -> 已经在音量相关的开发票中表述了

#3 - 2022-10-08 14:47 - CD FW-王伟

- Status changed from New to 完成 Closed

- % Done changed from 0 to 100

此需求里面的需求分拆成如下的票，也已经做好了关联。

关联到 Figure - 开发 Dev #112372: [BSP][MK]Security boot，OEM不能unlock，需要更换签名，将谷歌avb签名更换

关联到 Figure - 开发 Dev #112374: [FW]setting-显示-操作模式-左手/右手

故可以关闭此票。

2025-07-04 2/2
